Loading...
Searching...
No Matches
SmartProjectionRigFactor.h File Reference

Smart factor on poses, assuming camera calibration is fixed. More...

Go to the source code of this file.

## Classes

class | gtsam::SmartProjectionRigFactor< CAMERA >
| If you are using the factor, please cite: L. More...
struct | gtsam::traits< SmartProjectionRigFactor< CAMERA > >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Smart factor on poses, assuming camera calibration is fixed.

Same as SmartProjectionPoseFactor, except:

- it is templated on CAMERA (i.e., it allows cameras beyond pinhole)
- it admits a different calibration for each measurement (i.e., it can model a multi-camera rig system)
- it allows multiple observations from the same pose/key (again, to model a multi-camera system)
  Author
    Luca Carlone
    Frank Dellaert